# Homework 3 - Software Prototyping ID311

- Learn about functions, recursion and HTML elements.
- _[Live demo](http://hwdemo.prototyping.id/hw3)_

## General Description

In this assignment you are required to understand **functions and recursion**, and it allows you to practice with basic **GUI** elements (_HTML_ elements such as dropdown selections, sliders, buttons). Using a web interface the user can insert two dates, and then the system reports the number of days between the two dates (like [this website](https://www.timeanddate.com/date/durationresult.html?d1=01&m1=02&y1=2022&d2=2&m2=01&y2=2023)).

<p align="center">
<img src="assets/main.png" height="300" />
</p>

## Before Starting

Clone the repository in your computer and you will find a few files and these instructions.

You are on the `main` branch, but the code for this exercise and the instructions are inside the `develop` branch. Checkout (or switch to) the `develop`branch and you will see the main files `main.js` and `index.html` as well as the rest of the instructions. The file `main.js`contains some stub code to get you started. Do all your commits in the develop branch, then, when you are done, **merge** your changes in the `main` branch, before submitting.
